Subject: [p2p-sip] OpenWengo

From: matthewsp at avaya.com (Matthews, Philip (Philip))
Date: Wed, 11 Jan 2006 14:57:18 -0500

As much as I really appreciate the work that David Bryan
and Cullen Jennings did on their draft, I don't think we
should consider it a "draft specification". I feel strongly
that the group needs to start by considering the requirements
and examining the design space before considering what direction
to move in. David's SoSimple system, and the similar system
from Henning and team are very interesting, but I would
like us to investigate alternatives before deciding that
their system is the way to go.
In particular:
- Both systems use Chord, which is easy to understand, but a number
  of people have suggested to me privately that Chord has some
  problems.
- Both systems take the approach of integrating the DHT maintenance
  messages into SIP, which many people at the ad-hoc meeting in
  Vancouver didn't like. (There was quite a bit of discussion about
  this at the meeting. I was one of those who proposed the two be
  kept separate, though I am starting to reconsider my position).

To my mind, the strength of David and Cullen's draft is that it gives
us an example of a system. I would encourage others to publish drafts
giving other examples. This will help us understand where we want to go.

- Philip

> -----Original Message-----
> From: p2p-sip-bounces at cs.columbia.edu 
> [mailto:p2p-sip-bounces at cs.columbia.edu] On Behalf Of Enrico Marocco
> Sent: January 11, 2006 04:37
> To: Benny Prijono
> Cc: p2p-sip at cs.columbia.edu
> Subject: Re: [p2p-sip] OpenWengo
> 
> Benny Prijono wrote:
> > Eunsoo Shim wrote:
> > 
> >>This is great.
> >>It is a fantastic idea to have an open source stack supporting the 
> >>(future) P2P SIP spec the IETF will come up.
> > 
> > Now if only the spec is available so that us mere programmers can 
> > begin to code.. ;)
> 
> But code is also needed by writers for refining their specs: we're
> trapped :-)
> 
> I think it would be useful to start coding the draft spec 
> (some work has
> been done at Columbia and at William And Mary, but it's not 
> open source)
> for contributing feedback and suggestions. In this way, 
> keeping alingned
> coding and writing, we should end with good code and complete specs.
> 
> Enrico
> 
> 
> Gruppo Telecom Italia - Direzione e coordinamento di Telecom 
> Italia S.p.A.
> 
> ====================================================================
> CONFIDENTIALITY NOTICE
> This message and its attachments are addressed solely to the persons
> above and may contain confidential information. If you have received
> the message in error, be informed that any use of the content hereof
> is prohibited. Please return it immediately to the sender and delete
> the message. Should you have any questions, please send an e_mail to
> MailAdmin at tilab.com. Thank you
> ====================================================================
> 
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>

---

From: enrico.marocco at TILAB.COM (Enrico Marocco)
Date: Thu, 12 Jan 2006 16:42:34 +0100

Matthews, Philip (Philip) wrote:
> to move in.

It seems that a lot of people here share the same feeling.

> giving other examples. This will help us understand where we want to go.

I would also encourage others to feel what we are talking about.
That draft has a great quality: it's easy to implement on an existing
stack. Even if the p2p-using-sip approach got less hums, I think the
work of this group would benefit if people could play with its
implementation. At least, people coding that spec would benefit inasmuch
as you had benefit from the experience you described in Vancouver.

Enrico

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.